//
//  BaseViewController.m
//  iOS_导航透明度变化实现
//
//  Created by 高宇 on 16/12/9.
//  Copyright © 2016年 高宇. All rights reserved.
//

#import "BaseViewController.h"

@interface BaseViewController ()


@end

@implementation BaseViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    [self initNaBar];
}

- (void)viewWillAppear:(BOOL)animated
{
    self.navigationController.navigationBar.hidden = YES;
}

- (void)initNaBar
{
    _navBar = [[UIView alloc] initWithFrame:CGRectMake(0, 0, SCREEN_WIDTH, 64)];
    
    _navBar.backgroundColor = [UIColor whiteColor];
    UILabel *titleLabel = [[UILabel alloc] init];
    [titleLabel setTextColor:[UIColor greenColor]];
    titleLabel.textAlignment = NSTextAlignmentCenter;
    [titleLabel setText:@"攻略E家"];
    [titleLabel sizeToFit];
    titleLabel.center = CGPointMake(SCREEN_WIDTH * 0.5, 42);
    [_navBar addSubview:titleLabel];
    
    //左边返回按钮
    _leftBarButton = [UIButton buttonWithType:UIButtonTypeCustom];
    _leftBarButton.hidden = YES;
    _leftBarButton.frame = CGRectMake(0, 20, 20, 20);
    [_leftBarButton setImage:[UIImage imageNamed:@"1_out"] forState:UIControlStateNormal];
    _leftBarButton.contentHorizontalAlignment = UIControlContentHorizontalAlignmentLeft;
    [_leftBarButton sizeToFit];
    [_leftBarButton addTarget:self action:@selector(backVC) forControlEvents:UIControlEventTouchUpInside];
    [_navBar addSubview:_leftBarButton];
    
    //右边功能按钮
    _rightBarButton = [UIButton buttonWithType:UIButtonTypeContactAdd];
    _rightBarButton.center = CGPointMake(SCREEN_WIDTH - _rightBarButton.bounds.size.width * 0.5 - 10, 42);
    [_rightBarButton addTarget:self action:@selector(rightClick) forControlEvents:UIControlEventTouchUpInside];
    [_navBar addSubview:_rightBarButton];
    
    [self.view addSubview:_navBar];
}

- (void)backVC
{
    [self.navigationController popViewControllerAnimated:YES];
}

- (void)rightClick
{
    
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

/*
#pragma mark - Navigation

// In a storyboard-based application, you will often want to do a little preparation before navigation
- (void)prepareForSegue:(UIStoryboardSegue *)segue sender:(id)sender {
    // Get the new view controller using [segue destinationViewController].
    // Pass the selected object to the new view controller.
}
*/

@end
